POST api/batchapi/add/begindryingstep
Request Information
URI Parameters
None.
Body Parameters
BatchMedistreamViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| batch_id | globally unique identifier |
Required |
|
| medistream_id | globally unique identifier |
Required |
|
| witness_id | globally unique identifier |
Required |
|
| compartment | integer |
Required |
|
| temp_max | decimal number |
None. |
|
| start_time | date |
None. |
|
| stop_time | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "cf59d558-d163-4a2b-bb85-34a86bd7bd6c",
"batch_id": "e0581a3e-45f3-4697-aa86-8582d714525a",
"medistream_id": "2a7c31b2-d1e2-4283-a1fc-ef953d255827",
"witness_id": "00356f19-6386-47a7-a0e1-84951548a4ed",
"compartment": 1,
"temp_max": 1.1,
"start_time": "2026-03-10T09:14:08.2189965+00:00",
"stop_time": "2026-03-10T09:14:08.2189965+00:00"
}
application/xml, text/xml
Sample:
<batch_medistream xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <batch_id>e0581a3e-45f3-4697-aa86-8582d714525a</batch_id> <compartment>1</compartment> <id>cf59d558-d163-4a2b-bb85-34a86bd7bd6c</id> <medistream_id>2a7c31b2-d1e2-4283-a1fc-ef953d255827</medistream_id> <start_time>2026-03-10T09:14:08.2189965+00:00</start_time> <stop_time>2026-03-10T09:14:08.2189965+00:00</stop_time> <temp_max>1.1</temp_max> <witness_id>00356f19-6386-47a7-a0e1-84951548a4ed</witness_id> </batch_medistream>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"e6cbbc1f-d0c8-47f0-8abf-56968d625eb1"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e6cbbc1f-d0c8-47f0-8abf-56968d625eb1</guid>